SOGREP(1)

NAME
sogrep - Find shared library links in an Arch Linux repository

SYNOPSIS

sogrep [options] repo libname

DESCRIPTION

Check the soname links database for Arch Linux repositories containing packages linked to a given shared library. If the repository specified is "all", then all repositories will be searched, otherwise only the named repository will be searched.

If the links database does not exist, it will be downloaded first.

OPTIONS

-v, --verbose
    Provide detailed output containing the matched links for each package, the repository it came from (in the event that all repositories are being searched), and, in combination with -r, a progress bar for the links database download.

-r, --refresh
    Refresh the links databases

-h, --help
    Show a help text

ENVIRONMENT VARIABLES

SOLINKS_MIRROR="https://mirror.foo.com" Alternative mirror to use for downloading soname links database.

SOCACHE_DIR="/path/to/directory"
    Directory where soname links database is stored, overrides the default directory set by the XDG_CACHE_HOME environment variable or the HOME environment variable if XDG_CACHE_HOME is not set.

BUGS

Bugs can be reported on the bug tracker https://bugs.archlinux.org in the Arch Linux category and title prefixed with [devtools] or via arch-projects@archlinux.org.

AUTHORS

Maintainers:

    • Aaron Griffin <aaronmgriffin@gmail.com>

    • Allan McRae <allan@archlinux.org>

    • Bartłomiej Piotrowski <bpiotrowski@archlinux.org>

    • Dan McGee <dan@archlinux.org>

    • Dave Reisner <dreisner@archlinux.org>

    • Evangelos Foutras <evangelos@foutrelis.com>

    • Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>

    • Jelle van der Waa <jelle@archlinux.org>

    • Levente Polyak <anthraxx@archlinux.org>

    • Pierre Schmitz <pierre@archlinux.de>

    • Sébastien Luttringer <seblu@seblu.net>

    • Sven-Hendrik Haase <svenstaro@gmail.com>

    • Thomas Bächler <thomas@archlinux.org>

For additional contributors, use git shortlog -s on the devtools.git repository.